
export const columns = (search, showEdit) => [
  {
    title: "id",
    key: "id",
    align: "center",
    width: 60,
  },
  {
    title: "姓名",
    align: "center",
    minWidth: 100,
    render: (h, { row }) => {
      const { name } = row;
      return h(
        "a",
        {
            on: { click: () => { 
              showEdit(row);
            }}
        },
        name
      );
    }
  },
  {
    title: "性别",
    key: "gender",
    align: "center",
    minWidth: 80,
  },
  {
    title: "电话",
    key: "phone",
    align: "center",
    minWidth: 120,
  },
  {
    title: "地址",
    key: "address",
    align: "center",
    minWidth: 200,
  },
  {
    title: "身份证号",
    key: "identityNumber",
    align: "center",
    minWidth: 150,
  },
  {
    title: "联系人",
    key: "contactName",
    align: "center",
    minWidth: 100,
  },
  {
    title: "联系人电话",
    key: "contactPhone",
    align: "center",
    minWidth: 120,
  },
  {
    title: "创建时间",
    key: "createTime",
    align: "center",
    minWidth: 150,
  },
  {
    title: "操作",
    align: "center",
    fixed: 'right',
    width: 180,
    render(h, { row }) {
      const { status } = row;
      var emptyTag = h("span","　");

      return h("span", [emptyTag]);
    }
  },
];
