import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  props: {
    "data": {}, 
    "params": {},
    showContract: Function,
    showReturnDeposit: Function,
  },
  data() {
    return {
    }
  },
  methods: {
    onClick(name) {
      if(name === "edit") {
        this.showContract(this.data, false);
      }
      if(name === "returnVehicle") {

      }
      if(name === "returnDeposit") {
        this.showReturnDeposit(this.data);
      }
      if(name === "terminate") {
        this.showConfirmTerminate();
      }
    },
    showConfirmTerminate() {
      this.$Modal.confirm({
          title: '中止',
          content: '确定中止当前合同？',
          onOk: () => {
              this.terminateContract();
          }
      });
    },
    terminateContract() {
      const requestData = {
        contractId: this.data.id,
      }
      dispatch("invoke/asyncTerminateContract", requestData).then(({ code }) => {
        this.submitLoading = false;
        if (code === 1) {
          this.$Message.success("中止合同成功");
        }
      });
    }
  },
  mounted() {
  }
};
